$(document).ready(function() {

    // Activate all tooltips
    $('[data-bs-toggle="tooltip"]').tooltip();

    // Apply the user preferred theme
    const theme = localStorage.getItem("theme");
    if (theme == "light" || theme == "dark") {
        $("body").attr("data-bs-theme", theme);
    }
    else {
        $("body").attr("data-bs-theme", "light");
    }
});

$("#themeToggle").on("click", function() {
    var theme = $("body").attr("data-bs-theme");

    theme = theme == "light" ? "dark" : "light";

    localStorage.setItem("theme", theme)
    $("body").attr("data-bs-theme", theme);
});